package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_schedule_teacher_salary):
 */
public class CourseScheduleTeacherSalary {

	/**  */
	private Long id;
	
	/**  */
	private Long courseScheduleId;
	
	/** 老师角色（主教、助教） */
	private String teacherRole;
	
	/**  */
	private Integer userId;
	
	/** 薪水 */
	private long salary;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date createUpdate;
	
	/** 补贴 */
	private long subsidy;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	public void setTeacherRole(String teacherRole){
		this.teacherRole = teacherRole;
	}
	
	public String getTeacherRole(){
		return this.teacherRole;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setSalary(long salary){
		this.salary = salary;
	}
	
	public long getSalary(){
		return this.salary;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setCreateUpdate(java.util.Date createUpdate){
		this.createUpdate = createUpdate;
	}
	
	public java.util.Date getCreateUpdate(){
		return this.createUpdate;
	}
			
	public void setSubsidy(long subsidy){
		this.subsidy = subsidy;
	}
	
	public long getSubsidy(){
		return this.subsidy;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
